clear
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Run model
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% uncomment the two lines below if second simulation involves a different .mod file

dynare nontradedclosed    % model with no investment adjustment costs
save simulation0 dr_ ys_ lgy_ lgx_

% dynare incompletemarkets
% save simulation1 dr_ ys_ lgy_ lgx_


% number of periods for IRFs.
nperiods = 200;

%%%% Make figure to compare simulation 1 and 2
load simulation0 
shock = [0.01 %nterr
         0.01];  %nterr2
dset = 'f0';        
makeirf

%load simulation1
shock = [0.01
         0.0];
dset = 'f1';        
makeirf

titlelist = char('Nontraded Output','Traded Output','Traded Investment','Nontraded Investment','Aggregate Output (in units of traded goods)','Relative Price of Nontraded','Traded consumption','Nontraded Consumption');
legendlist = char('Home','Foreign');
figlabel = 'Responses to a 1% increase in productivity';
makechart(titlelist,legendlist,figlabel,...
          100*[f0_yn_irf/f0_yn, f0_yt_irf/f0_yt, f0_jt_irf/f0_jt, f0_jn_irf/f0_jn, f0_gdp_irf/f0_gdp, f0_pn_irf, f0_cch_irf/f0_cch, f0_ccn_irf/f0_ccn],...
          100*[f1_yn_irf/f1_yn, f1_yt_irf/f1_yt, f1_jt_irf/f1_jt, f1_jn_irf/f1_jn, f1_gdp_irf/f1_gdp, f1_pn_irf, f1_cch_irf/f1_cch, f1_ccn_irf/f1_ccn])

titlelist = char('Labor','Labor in Sector t','Labor in sector n');
legendlist = char('Home','Foreign');
figlabel = 'Responses to a 1% increase in productivity';
makechart(titlelist,legendlist,figlabel,...
          100*[f0_hw_irf/f0_hw, f0_hwt_irf/f0_hwt, f0_hwn_irf/f0_hwn],...
          100*[f1_hw_irf/f0_hw, f1_hwt_irf/f0_hwt, f1_hwn_irf/f1_hwn])
  
% 
% titlelist = char('Output','Capital (next period)','Labor','Investment','Consumption','Labor-Augmenting Productivity','Capital-Augmenting Productivity');
% legendlist = char('Incomplete Markets','Complete Markets');
% figlabel = 'Responses to a 1% increase in productivity';
% makechart(titlelist,legendlist,figlabel,...
%           100*[f0_gdp_irf/f0_gdp, f0_kp_irf/f0_kp, f0_le_irf/f0_le, f0_ip_irf/f0_ip, f0_cc_irf/f0_cc, f0_n_irf, f0_m_irf],...
%           100*[f1_gdp_irf/f1_gdp, f1_kp_irf/f1_kp, f1_le_irf/f1_le, f1_ip_irf/f1_ip, f1_cc_irf/f1_cc, f1_n_irf, f1_m_irf])
%       